<link rel="stylesheet" href="style.css">
<div id="connection" data-state="connected">
  <div class="icon"></div><div class="name">niklas</div>
</div>
<div id="roster">
  <div class="buddy" data-state="online" data-pending="true">
    <div class="icon"></div>
    <div class="name">ggrin</div>
    <div class="pending">3</div>
  </div>
  <div class="buddy" data-state="offline">
    <div class="icon"></div>
    <div class="name">sanja</div>
  </div>
  <div class="buddy" data-state="offline">
    <div class="icon"></div>
    <div class="name">kristina</div>
  </div>
  <div class="buddy" data-state="online">
    <div class="icon"></div>
    <div class="name">christoph</div>
  </div>
</div>
<div id="conversation">
  <pre>
Events:
- roster:add
- roster:remove
- roster:update
  * name change
  * availability change
  * pending messages
  * ...
- message:received
- message:sent
- conversation:change
  </pre>
  <!-- <video autoplay></video> -->
  <!-- <script> -->
  <!--   navigator.getUserMedia = (navigator.getUserMedia ||  -->
  <!--                             navigator.webkitGetUserMedia ||  -->
  <!--                             navigator.mozGetUserMedia ||  -->
  <!--                             navigator.msGetUserMedia); -->
  <!--   console.log('gum is', navigator.getUserMedia); -->
  <!--   navigator.getUserMedia({ video: true, audio: true }, function(stream) { -->
  <!--     console.log('got stream', stream); -->
  <!--     document.querySelector('video').src = URL.createObjectURL(stream); -->
  <!--   }, function(error) { -->
  <!--     console.error('getUserMedia', error); -->
  <!--   }); -->
  <!-- </script> -->

  <div class="editor">
    <textarea rows="1"></textarea>
  </div>
</div>
